%define num_release 1

Name:		pcsc-tools
Version:	1.5.7
Release:	%mkrel 1
License:	GPLv2+
Summary:	PCSC tools useful for a PC/SC user
Group:		Communications/Serial
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.bz2
Source1:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.bz2.asc
Requires:	perl-pcsc-perl ccid
BuildRequires:	pkgconfig(libpcsclite)

%description
This package contains some tools useful for a PC/SC user.
- pcsc_scan
    regularly scans every PC/SC reader connected to the host
    if a card is inserted or removed a "line" is printed
- ATR_analysis
    Perl script used to parse the smart card ATR.
    This script is called (by default) by pcsc_scan
- smartcard_list.txt
    This list contains ATR of some cards. The list is used by
    ATR_analysis to find a card model corresponding to the ATR.
- scriptor
    A Perl script to send commands to a smart card. You can use a file
    containing the commands or stdin.
- gscriptor
    A Perl script to send commands to a smart card with GTK-based
    graphical interface.

%prep
%setup -q
bzip2 -9 Changelog

%build
%configure
%make_build

%install
%make_install

%files
%doc README Changelog.bz2
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pcsc/smartcard_list.txt


%changelog
* Thu Nov 19 2020 luigiwalser <luigiwalser> 1.5.7-1.mga8
+ Revision: 1647426
- 1.5.7

* Wed Apr 22 2020 daviddavid <daviddavid> 1.5.6-1.mga8
+ Revision: 1570805
- new version: 1.5.6

* Fri Feb 14 2020 umeabot <umeabot> 1.4.22-8.mga8
+ Revision: 1515852
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.4.22-7.mga7
+ Revision: 1300146
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 1.4.22-6.mga7
+ Revision: 1154920
- setup compile flags to fix debug packages

* Sat Feb 06 2016 umeabot <umeabot> 1.4.22-5.mga6
+ Revision: 941186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.22-4.mga5
+ Revision: 745870
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.22-3.mga5
+ Revision: 727547
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.22-2.mga5
+ Revision: 683375
- Mageia 5 Mass Rebuild

* Mon May 05 2014 pterjan <pterjan> 1.4.22-1.mga5
+ Revision: 620109
- 1.4.22

* Fri Oct 18 2013 umeabot <umeabot> 1.4.21-4.mga4
+ Revision: 508917
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.21-3.mga3
+ Revision: 362673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 pterjan <pterjan> 1.4.21-2.mga3
+ Revision: 344443
- 1.4.21

* Mon Oct 29 2012 malo <malo> 1.4.20-2.mga3
+ Revision: 311326
- spec clean-up
- update RPM group

* Mon Aug 13 2012 pterjan <pterjan> 1.4.20-1.mga3
+ Revision: 280979
- Update to 1.4.20

* Sun Apr 01 2012 pterjan <pterjan> 1.4.18-1.mga2
+ Revision: 227613
- imported package pcsc-tools


* Tue Aug 31 2010 Tomas Kindl <supp@mandriva.org> 1.4.17-1mdv2011.0
+ Revision: 574740
- update to 1.4.17
- drop p0 as it's already included upstream...

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.4.15-4mdv2011.0
+ Revision: 574308
- rebuild for new pcsclite

* Tue Sep 15 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.15-3mdv2010.0
+ Revision: 442937
- add ccid to requires

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.15-1mdv2009.1
+ Revision: 340648
- update to new version 1.4.15

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.14-1mdv2009.0
+ Revision: 205891
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4.10-1mdv2008.1
+ Revision: 136654
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 80713
- don't package LICENCE
- use Fedora license policy
- new release 1.4.10

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 52109
- buildrequires pcsc-lite-devel not pcsclite-devel
- requires perl-pcsc-perl >= 1.4.2, not = 1.4.2 (fixes install, thanks Frederik Himpe)
- new release 1.4.9

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.8-1mdv2008.0
+ Revision: 32039
- updated to version 1.4.8
- removed old changelog from spec file


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.7-1mdv2007.0
+ Revision: 77016
- added missing buildrequires
- updated to version 1.4.7
- Import pcsc-tools

* Mon Nov 06 2006 Iurt the rebuild bot <warly@mandriva.com> 1.4.7-1mdv2007.1
- rebuild of 1.4.7-%%{rel}mdv for %%{distversion}

* Tue Mar 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.4-2mdv
- small spec cleanups
- don't use file lists

* Tue Mar 28 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.4-1mdv
- New version 1.4.4.

* Wed Mar 22 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.2-2mdv
- Updated Requires (from pcsc-perl to perl-pcsc-perl).

* Wed Mar 08 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.2-1mdv
- Initial packaging.

